Bug 105436 - Blinking textures in UT2004 [bisected]
Summary: Blinking textures in UT2004 [bisected]
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-11 10:24 UTC by network723
Modified: 2018-03-15 20:34 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
A video of map dm-curse4 (3.06 MB, video/x-matroska)
2018-03-11 10:24 UTC, network723
Details

Note You need to log in before you can comment on or make changes to this bug.
Description network723 2018-03-11 10:24:08 UTC
Created attachment 137985 [details]
A video of map dm-curse4

With recent mesa versions some textures in UT2004 are blinking while player moves. You can see this behavior on any map that uses multiple texture layers. I've made a video of DM-Curse4 to show it. I've also tried to record an apitrace, but it fails with segfault.
It used to work fine few years ago.

Sys spec:
Radeon HD7950, Mesa-git e30a165be274e399787ba7d44171567f3d93dcac, llvm 7.0 r327106
64-bit version of UT2004 for linux
Comment 1 network723 2018-03-11 15:11:04 UTC
I'm not sure if it's specific to radeonsi, i've tested with llvmpipe and got same result.
Comment 2 almos 2018-03-13 16:37:56 UTC
f314a532fdc7af8381586144d2631d9968331f05 is the first bad commit
commit f314a532fdc7af8381586144d2631d9968331f05
Author: Samuel Pitoiset <samuel.pitoiset@gmail.com>
Date:   Wed Jun 21 11:31:43 2017 +0200

    mesa: do not trigger _NEW_TEXTURE_STATE in glActiveTexture()
    
    This looks like useless because gl_context::Texture::CurrentUnit
    is not used by _mesa_update_texture_state() and friends.
    
    Signed-off-by: Samuel Pitoiset <samuel.pitoiset@gmail.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>

:040000 040000 c2a46b6dcce50edf810147e07de977f38d33533a 606c977b6357381074d205daf2815ebb93da1029 M	src

Adding back the FLUSH_VERTICES fixes the issue.
Comment 3 Samuel Pitoiset 2018-03-15 20:34:17 UTC
I have pushed a revert.

https://cgit.freedesktop.org/mesa/mesa/commit/?id=f02f1ad13fa4123986d17a5d04b0e2831c3a7091

Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.